Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04837 Crash/Freeze Critical (emulator) Always May 17, 2012, 20:43 Feb 11, 2013, 16:00
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Firewave Resolution Fixed OS Windows XP
Status [?] Resolved Driver aleck64.cpp
Version 0.145u8 Fixed in Version 0.148u2 Build Normal
Summary 04837: mtetrisc, starsldr: [debug] Crash after OK
Description
Program received signal SIGSEGV, Segmentation fault.
0x015881e3 in N64TexturePipeT::Mask (this=0x3aa601c0, S=0x217660, T=0x21765c,
    num=0, object=...) at src/mame/video/rdptpipe.c:47
47 *T &= m_maskbits_table[tile[num].mask_t];
(gdb) bt
#0 0x015881e3 in N64TexturePipeT::Mask (this=0x3aa601c0, S=0x217660, T=0x21765c, num=0, object=...)
    at src/mame/video/rdptpipe.c:47
#1 0x015894e5 in N64TexturePipeT::Cycle (this=0x3aa601c0, TEX=0x5adb2818, prev=0x5adb2818, SSS=32767, SST=32767, tilenum=0, cycle=0, userdata=0x5adb2000, object=..., m_clamp_s_diff=0x217760, m_clamp_t_diff=0x217740)
    at src/mame/video/rdptpipe.c:379
#2 0x0158c604 in n64_rdp::SpanDraw1Cycle (this=0x3aa60024, scanline=0, extent=..., object=..., threadid=1)
    at src/mame/video/rdpspn16.c:225
#3 0x0318ba4f in delegate_base<void, int, poly_manager<unsigned int, rdp_poly_state, 8, 32000>::extent_t const&, rdp_poly_state const&, int, _noparam>::operator() (this=0x3b362008, p1=0, p2=..., p3=..., p4=1)
    at src/emu/delegate.h:620
#4 0x02c3dfb4 in poly_manager<unsigned int, rdp_poly_state, 8, 32000>::work_item_callback (param=0x449e1280, threadid=1)
    at src/emu/video/polynew.h:387
#5 0x02a51cdb in worker_thread_process (queue=0x300dddb0, thread=0x2f0cfa78)
    at src/osd/windows/winwork.c:818
#6 0x02a51384 in osd_work_queue_wait (queue=0x300dddb0, timeout=221010000000)
    at src/osd/windows/winwork.c:414
#7 0x02c3e404 in poly_manager<unsigned int, rdp_poly_state, 8, 32000>::wait (
    this=0x3aa60024, debug_reason=0x43194ac "general")
    at src/emu/video/polynew.h:420
#8 0x0158bac1 in n64_rdp::RenderSpans (this=0x3aa60024, start=0, end=239, tilenum=0, flip=true, Spans=0x218e08, rect=true, object=0x3b561d00)
    at src/mame/video/rdpspn16.c:65
#9 0x0157957e in n64_rdp::DrawTriangle (this=0x3aa60024, shade=false, texture=false, zbuffer=false, rect=true)
    at src/mame/video/n64.c:2462
#10 0x0157c2b5 in n64_rdp::CmdFillRect (this=0x3aa60024, w1=4132422588, w2=0)
    at src/mame/video/n64.c:3436
#11 0x0157cb3b in n64_rdp::ProcessList (this=0x3aa60024)
    at src/mame/video/n64.c:3700
#12 0x0156b86f in n64_dp_reg_w (device=0x2e0e04, offset=1, data=3887912, mem_mask=0)
    at src/mame/machine/n64.c:968
#13 0x02291d02 in cfunc_set_cop0_reg (param=0x386a0000)
    at src/emu/cpu/rsp/rspdrc.c:505
#14 0x387395c4 in ?? ()
#15 0x02c18c81 in drcuml_state::execute (this=0x382a4dec, entry=...)
    at src/emu/cpu/drcuml.h:208
#16 0x0229a986 in cpu_execute_rsp (device=0x2e0e04)
    at src/emu/cpu/rsp/rspdrc.c:3400
#17 0x027d9e87 in legacy_cpu_device::execute_run (this=0x2e0e04)
    at src/emu/devcpu.c:260
#18 0x030d6e5c in device_execute_interface::run (this=0x2e10bc)
    at src/emu/diexec.h:228
#19 0x024693a3 in device_scheduler::timeslice (this=0x22f2f8)
    at src/emu/schedule.c:489
#20 0x02524010 in running_machine::run (this=0x22c410, firstrun=true)
    at src/emu/machine.c:389
#21 0x02456d7b in mame_execute (options=..., osd=...)
    at src/emu/mame.c:189
#22 0x027bb266 in cli_frontend::execute (this=0x22fe80, argc=4, argv=0x3f4c18)
    at src/emu/clifront.c:252
#23 0x01d297f0 in utf8_main (argc=4, argv=0x3f4c18)
    at src/osd/windows/winmain.c:482
#24 0x02a50cd6 in wmain (argc=4, argv=0x3f4650)
    at src/osd/windows/main.c:82
#25 0x00401422 in __tmainCRTStartup ()
    at ../mingw-w64-crt/crt/crtexe.c:282
#26 0x7c817077 in RegisterWaitForInputIdle ()
    from C:\WINDOWS\system32\kernel32.dll
#27 0x00000000 in ?? ()
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version 0.145u8
Affected Sets / Systems mtetrisc, starsldr
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.08604
haynor666
Tester
May 17, 2012, 21:10
Crash was actually reported for whole aleck64 in 4810 by you. Why this report was created?
User avatar
No.08605
Tafoid
Administrator
May 17, 2012, 21:13
This is a crash for a different reason. Notice I only had certain sets listed on 04810.
User avatar
No.08615
hap
Developer
May 19, 2012, 19:00
works ok here (64bit, latest svn)
User avatar
No.08866
Tafoid
Administrator
Aug 10, 2012, 22:43
Crashes happening in 32-bit and 64-bit debug builds 0.146u4. Reopening.
User avatar
No.09332
Firewave
Senior Tester
Feb 11, 2013, 16:00
Fixed in r20948.